How To Install IonCube Loader on Ubuntu 15.04

Install IonCube Loader on Ubuntu 15.04

In this tutorial, we will show you how to install and configure of ionCube Loader on your Ubuntu 15.04. For those of you who didn’t know, IonCube Loaders is basically an encryption/decryption utility for PHP applications that also assists in speeding up the pages that are served. It is often required for a lot of PHP-based applications.

This article assumes you have at least basic knowledge of Linux, know how to use the shell, and most importantly, you host your site on your own VPS. The installation is quite simple and assumes you are running in the root account, if not you may need to add ‘sudo‘ to the commands to get root privileges. I will show you through the step-by-step installation ionCube Loader in Ubuntu 15.04 server.

Install IonCube Loader on Ubuntu 15.04

Step 1. First, make sure that all your system packages are up-to-date by running the following apt-get commands in the terminal.

sudo apt-get update
sudo apt-get upgrade

Step 2. Install LAMP server.

A Ubuntu 15.04 LAMP server is required. If you do not have LAMP installed, you can follow our guide here.

Step 3. Install IonCube Loaders.

Download and extract the latest stable version IonCube, We will use the wget command to get the ionCube file from their website with the following command:

### 64-Bit version ###
wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
tar xfz ioncube_loaders_lin_x86-64.tar.gz

### 32-Bit version ###
wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86.tar.gz
tar xfz ioncube_loaders_lin_x86.tar.gz

Next, we need to locate where PHP is loading extensions, this can be done by running the below command and looking:

php -i | grep php.ini

You will see an output that looks something like the following:

extension_dir => /usr/lib/php5/20090626+lfs => /usr/lib/php5/20090626+lfs

Open the extracted IonCube folder and copy the IonCube loader file match to your PHP version:

cd ioncube
cp ioncube/ioncube_loader_lin_5.4.so /usr/lib/php5/20090626+lfs

Once the file has been copied to the extensions directory, we need to make sure that the PHP configuration file is updated to use the correct extension:

nano /etc/php5/apache2/php.ini

At the very top of the file let’s add the following line:

zend_extension = /usr/lib/php5/20090626+lfs/ioncube_loader_lin_5.4.so

Now, we can restart the Apache webserver so that the changes take place:

systemctl restart apache2.service

Step 4. Testing ionCube on Ubuntu 15.04.

If you can see the version of PHP with ionCube loader version, meaning you have successfully installed and configured IonCube PHP loader in your Ubuntu 15.04 system.

php -v

Results:

PHP 5.4.16 (cli) (built: Jun 29 2015 22:16:29)
   Copyright (c) 1997-2013 The PHP Group
   Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies
   with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.0.18, Copyright (c) 2002-2015, by ionCube Ltd.

Congratulations! You have successfully installed IonCube Loader. Thanks for using this tutorial for installing IonCube Loader in Ubuntu 15.04 system. For additional help or useful information, we recommend you check the official IonCube website.

VPS Manage Service Offer
If you don’t have time to do all of this stuff, or if this is not your area of expertise, we offer a service to do “VPS Manage Service Offer”, starting from $10 (Paypal payment). Please contact us to get the best deal!

Save